diff --git a/configure b/configure
index 65d7078dbe7..4d46b94ebc4 100755
--- a/configure
+++ b/configure
@@ -12850,7 +12850,9 @@ fi
 # Check whether --with-build-time-tools was given.
 if test "${with_build_time_tools+set}" = set; then :
   withval=$with_build_time_tools; case x"$withval" in
-     x/*) ;;
+     x/*)
+       with_build_time_tools=$withval
+       ;;
      *)
        with_build_time_tools=
        { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: argument to --with-build-time-tools must be an absolute path" >&5
diff --git a/configure.ac b/configure.ac
index 371def9b421..96a878a14cb 100644
--- a/configure.ac
+++ b/configure.ac
@@ -3600,7 +3600,9 @@ AC_ARG_WITH([build-time-tools],
   [AS_HELP_STRING([--with-build-time-tools=PATH],
 		  [use given path to find target tools during the build])],
   [case x"$withval" in
-     x/*) ;;
+     x/*)
+       with_build_time_tools=$withval
+       ;;
      *)
        with_build_time_tools=
        AC_MSG_WARN([argument to --with-build-time-tools must be an absolute path])
